Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® PlayBook™

Reply
Contributor
Posts: 24
Registered: ‎11-26-2010
My Device: 11

Can't update 4GLTE 32GB PlayBook past 2.0.1.668

Can't update 4GLTE 32GB PlayBook past 2.0.1.668 over WiFI (I don't use the micro SIM slot). 

 

Every time I attempt to perform an update it tells me "You currently have the latest software installed" same when I try to use Desktop Manager via USB. I can't seem to find a manual OS download off of RIM's site. I need to update to the latest 2.1 version for the 4G 32GB model to get the Work account (Mobile Fusion) option.

 

I know 2.1 was approved by carriers not too long ago. Not sure why it won't let me update past this version.

 

Any help would be appreciated! Smiley Happy 

Forums Advisor III
Posts: 1,477
Registered: ‎04-19-2011
My Device: BlackBerry Z10 + Z30 + Playbook 64
My Carrier: Rogers

Re: Can't update 4GLTE 32GB PlayBook past 2.0.1.668


feelmyice wrote:

Can't update 4GLTE 32GB PlayBook past 2.0.1.668 over WiFI (I don't use the micro SIM slot). 

 

Every time I attempt to perform an update it tells me "You currently have the latest software installed" same when I try to use Desktop Manager via USB. I can't seem to find a manual OS download off of RIM's site. I need to update to the latest 2.1 version for the 4G 32GB model to get the Work account (Mobile Fusion) option.

 

I know 2.1 was approved by carriers not too long ago. Not sure why it won't let me update past this version.

 

Any help would be appreciated! Smiley Happy 


You must contact you Carrier for the new update, in your case Bell Canada, the update for the 4GLTE version of the Playbook are supplied by the Carrier and not by RIM like the WIFI only

---------------------------------------------
Using the Playbook and the Z10 and the Z30 and loving them

Martin
Contributor
Posts: 24
Registered: ‎11-26-2010
My Device: 11

Re: Can't update 4GLTE 32GB PlayBook past 2.0.1.668

I don't use a carrier nor do I have a Micro SIM card in this tablet. Will Bell provide me with the update package if I am not a customer of theirs?

Forums Advisor III
Posts: 1,477
Registered: ‎04-19-2011
My Device: BlackBerry Z10 + Z30 + Playbook 64
My Carrier: Rogers

Re: Can't update 4GLTE 32GB PlayBook past 2.0.1.668


feelmyice wrote:

I don't use a carrier nor do I have a Micro SIM card in this tablet. Will Bell provide me with the update package if I am not a customer of theirs?


Sorry I assume that you bought it from Bell, because you listed it as your Carrier.

 

You will need to get a Micor SIM card from the Carrier that you bought it from, and he is the one that will provide you with the updates as soon as the Carrier as finish testing them for its network

---------------------------------------------
Using the Playbook and the Z10 and the Z30 and loving them

Martin
Forums Veteran I
Posts: 1,625
Registered: ‎02-28-2012
My Device: Two PB's

Re: Can't update 4GLTE 32GB PlayBook past 2.0.1.668


feelmyice wrote:

I don't use a carrier nor do I have a Micro SIM card in this tablet. Will Bell provide me with the update package if I am not a customer of theirs?


Just wondering, why spend 600 bucks on a Lte playbook if you don't use a SIM? A wifi only one costs a fraction.  

_________________________
Contributor
Posts: 24
Registered: ‎11-26-2010
My Device: 11

Re: Can't update 4GLTE 32GB PlayBook past 2.0.1.668

That's too bad it's only through a carrier Smiley Sad I don't have a Micro SIM right now (I have a 9900). Maybe I'll do it when I get BB10.
Contributor
Posts: 24
Registered: ‎11-26-2010
My Device: 11

Re: Can't update 4GLTE 32GB PlayBook past 2.0.1.668

I received this tablet complimentary from RIM for going to a 3-day training event regarding Mobile Fusion and BES10 roadmap.It's too bad I can't update it without being on a carrier network (and not through wifi).
Forums Veteran I
Posts: 1,625
Registered: ‎02-28-2012
My Device: Two PB's

Re: Can't update 4GLTE 32GB PlayBook past 2.0.1.668

You are not alone.

If you are in that much contact with RIM - i.e. big corporate event money splashing around - I suggest you contact them and tell them that you and most other users of unlocked Playbooks don't seem to have any update route.  This seems to include European customers of their 3g+ unlocked models (via Misco for example) at time of writing. 

  Pleae come back here with their response.  Good luck. 

_________________________
Guru III
Posts: 32,132
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry PRIV, Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook,BT Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: Can't update 4GLTE 32GB PlayBook past 2.0.1.668

RIM has a list of PIN that are on your carrier and wont push it until the carrier approves it.

 

Been dealing with similar on AT&T devices over the years as they are slow to adopt.

 

But if carrier has no training, there is no way they can support it.

 

I agree a wifi only one should allow you to but then this would be a way to allow other to upgrade even if carrier was not trained.

 

is a catch 22 scenario

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 12 and BES 5.0.4 with Exchange 2010 and SQL 2012 Hyper V


Forums Veteran I
Posts: 1,625
Registered: ‎02-28-2012
My Device: Two PB's

Re: Can't update 4GLTE 32GB PlayBook past 2.0.1.668

[ Edited ]

knottyrope wrote:

RIM has a list of PIN that are on your carrier and wont push it until the carrier approves it.

 

Been dealing with similar on AT&T devices over the years as they are slow to adopt.

 

But if carrier has no training, there is no way they can support it.

 

 


There must be a list of PINs of sim carrying playbooks with corresponding carrier. RIM are selling or giving away unlocked playbooks. What do they do with the list when the PIN has a blank where a carrier name should be? 

_________________________